package org.project.item.weapons;

import org.project.entity.Entity;
import java.util.ArrayList;

public class Sword extends Weapon {
    private int abilityCharge;

    public Sword() {
        super(15, 5);
        this.abilityCharge = 0;
    }

    public void uniqueAbility(ArrayList<Entity> targets) {
        abilityCharge += 2;
        for (Entity target : targets) {
            target.takeDamage(getDamage());
        }
    }
}